XMLResult (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.io
Class XMLResult

    java.lang.Object
      javax.xml.transform.sax.SAXResult
          org.dom4j.io.XMLResult

All Implemented Interfaces:
  Result

public class XMLResult
extends SAXResult

`XMLResult` implements a JAXP `SAXResult`for an output stream with support for pretty printing and control over how the XML is formatted.

Version:
  $Revision: 1.9 $
Author:
  James Strachan

Field Summary

Fields inherited from class javax.xml.transform.sax.SAXResult
`FEATURE`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`XMLResult()`
`XMLResult(OutputStream out)`
`XMLResult(OutputStream out, OutputFormat format)`
`XMLResult(Writer writer)`
`XMLResult(Writer writer, OutputFormat format)`
`XMLResult(XMLWriter xmlWriter)`

Method Summary
`ContentHandler` | `getHandler()`
`LexicalHandler` | `getLexicalHandler()`
`XMLWriter` | `getXMLWriter()`
`void` | `setXMLWriter(XMLWriter writer)`

Methods inherited from class javax.xml.transform.sax.SAXResult
`getSystemId, setHandler, setLexicalHandler, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLResult

    public XMLResult()

### XMLResult

    public XMLResult(Writer writer)

### XMLResult

    public XMLResult(Writer writer,
                     OutputFormat format)

### XMLResult

    public XMLResult(OutputStream out)
              throws UnsupportedEncodingException

### XMLResult

    public XMLResult(OutputStream out,
                     OutputFormat format)
              throws UnsupportedEncodingException

### XMLResult

    public XMLResult(XMLWriter xmlWriter)

Method Detail

### getXMLWriter

    public XMLWriter getXMLWriter()

### setXMLWriter

    public void setXMLWriter(XMLWriter writer)

### getHandler

    public ContentHandler getHandler()

### getLexicalHandler

    public LexicalHandler getLexicalHandler()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.